Bug 825516 - KMail: No autocomplete from Akonadi addressbook
KMail: No autocomplete from Akonadi addressbook
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-27 05:24 EDT by Marc Muehlfeld
Modified: 2013-08-01 07:44 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:44:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 259949 None None None 2012-07-12 09:58:44 EDT

  None (edit)
Description Marc Muehlfeld 2012-05-27 05:24:02 EDT
Description of problem:
KMail does not autocomplete addresses from Akonadi resource (personal contacts), when composing a new mail. Autocomplete from "collected addresses" works fine.



Version-Release number of selected component (if applicable):
kdepim-4.8.3-2.fc17.i686
(Problem already came up in Fedora 16)



How reproducible:
Always.



Steps to Reproduce:
1. Create a new Akonadi addressbook (personal contacts).
2. Add an entry with eMail address to the addressbook.
3. Compose a new mail, while you only write the first letters of the name or eMail address in the "To"-field.



Actual results:
The addresses are not automatically completed or suggested.



Expected results:
Addresses shoud be automatically completed from the addressbook when typing.



Additional info:
I had this issue since I switched from F15 to F16. And it's still there in F17. I meanwhile created a complete new user profile by deleting my complete home directory, so I start with initial values in F17. But autocomplete doesn't work.
Comment 1 Rex Dieter 2012-05-27 08:18:37 EDT
Do you have nepomuk enabled?

systemsettings->desktop search

(it's required for this functionality to work properly)
Comment 2 Marc Muehlfeld 2012-05-27 13:04:24 EDT
Yes, Nepomuk is enabled.
And it doesn't matter, if file- and/or eMail-indexing is enabled or disabled.
Comment 3 Martin Bříza 2012-07-12 09:58:44 EDT
Hello,
I added an external tracker to bug https://bugs.kde.org/show_bug.cgi?id=259949 . There's an extensive thread on upstream Bugzilla regarding issues that seem to be related to yours.
Please, take a look at it and if I was right, you can describe your symptoms there, too. If I was wrong, please, correct me.
Thank you.
Comment 4 Neil Darlow 2012-10-03 04:41:00 EDT
Hi,

Address completion stopping working is a frequent feature of KMail. It did work in fc17 4.9.0 but stopped working after a recent kdepim update.

It does not work for fc18-Alpha either in 4.9.1 or 4.9.2 and it appears to be broken for both regular address completion and Group expansion.

I have reported this bug upstream for KDE versions 4.6.3 onwards but it just seems to keep re-appearing.

Regards,
Neil Darlow
Comment 5 Mario Santagiuliana 2013-01-26 05:55:13 EST
Hi to all,
on my Fedora 19 64bit there is this issue.
Kmail display only "recent addresses". I am using kdepim-4.9.5-1.fc18.x86_64.

I will report my bug also on upstream.

Thank you
Comment 6 Mario Santagiuliana 2013-01-26 05:55:38 EST
Hi to all,
on my Fedora 18 64bit there is this issue.
Kmail display only "recent addresses". I am using kdepim-4.9.5-1.fc18.x86_64.

I will report my bug also on upstream.

Thank you
Comment 7 Fedora End Of Life 2013-07-03 23:44:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 07:44:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.